# Company Information

## Get Company Information

> Retrieves the details of the brand account, determined by the API keys used for authentication.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Account Information","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/CompanyInformation":{"get":{"summary":"Get Company Information","description":"Retrieves the details of the brand account, determined by the API keys used for authentication.","operationId":"getCompanyInformation","tags":["Company Information"],"parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}}],"responses":{"200":{"description":"An object containing the account's company information.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyInformation"}}}}}}}},"components":{"schemas":{"CompanyInformation":{"type":"object","properties":{"CompanyName":{"type":"string","description":"Brand name for the account; usually the legal name of the company."},"Industry":{"$ref":"#/components/schemas/Industry","description":"The industry that the account most closely associates with."},"Website":{"type":"string","format":"uri","description":"Official website URL for the brand or company."},"PrimaryPhoneNumber":{"type":"string","description":"Primary domestic contact number for the account."},"PrimaryPhoneNumberCountry":{"type":"string","description":"Two-letter ISO 3166-1 alpha-2 country code."},"SecondaryPhoneNumber":{"type":"string","description":"A secondary domestic contact phone number for the account."},"SecondaryPhoneNumberCountry":{"type":"string","description":"Two-letter ISO 3166-1 alpha-2 country code."},"MinimumContactRating":{"type":"string","description":"Minimum star rating (1-5) a partner must have to see contact information."},"Timezone":{"type":"string","description":"Timezone used for the account."},"Currency":{"type":"string","description":"Three-letter ISO 4217 code for the account's default currency."},"RegisteredForIndirectTax":{"type":"string","description":"Whether the account is registered for indirect tax."},"IndirectTaxNumber":{"type":"string","description":"Unique identifier used for VAT, GST, or HST registration."},"OrganizationType":{"$ref":"#/components/schemas/OrganizationType","description":"Organization type for the account. Available options will vary depending on the country that the business is registered in."},"EinSsnForeignTaxId":{"type":"string","description":"Employer Identification Number, Social Security Number, or a foreign Tax ID."},"CorporateAddress":{"$ref":"#/components/schemas/Address","description":"The primary address for the account."},"BillingAddress":{"$ref":"#/components/schemas/Address","description":"The billing address for the account."},"FinancialContact":{"$ref":"#/components/schemas/Contact","description":"A financial contact for the account (e.g., CFO)."},"TechnicalContact":{"$ref":"#/components/schemas/Contact","description":"A technical contact for the account (e.g., CTO)."},"CommercialContact":{"$ref":"#/components/schemas/Contact","description":"A commercial or marketing contact for the account (e.g., CMO)."},"SecurityContact":{"$ref":"#/components/schemas/Contact","description":"This person is your company's point of contact for compliance and security policy matters."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this object in the impact.com API."}}},"Industry":{"type":"object","properties":{"IndustryId":{"type":"string","description":"Unique identifier for the selected industry."},"IndustryName":{"type":"string","description":"The display name for the selected industry."}}},"OrganizationType":{"type":"string","description":"Organization type for the account.","enum":["NONP_GOV","CORP","SOLE_IND","LLC_LLP_LLS","TRUST","SOLE_TRD","PARTNERS","LLC","LLP","COMPANY","GOVERNMENT","OTHER"]},"Address":{"type":"object","properties":{"AddressLine1":{"type":"string","description":"Address line 1 (address number, street name)"},"AddressLine2":{"type":"string","description":"Address line 2 (building, unit, suite, etc. number)"},"City":{"type":"string","description":"City, district, suburb, town, or village"},"State":{"type":"string","description":"State or territory"},"PostalCode":{"type":"string","description":"ZIP or postal code"},"Country":{"type":"string","description":"Two-letter ISO 3166-1 alpha-2 country code."}}},"Contact":{"type":"object","properties":{"UserId":{"type":"string","description":"Unique impact.com member account ID for the user."},"Name":{"type":"string","description":"The contact's full name."},"Email":{"type":"string","format":"email","description":"The contact's email address."},"WorkPhoneNumber":{"type":"string","description":"The contact's work phone number."},"WorkPhoneNumberCountry":{"type":"string","description":"Two-letter country code for the work phone number."},"CellPhoneNumber":{"type":"string","description":"The contact's cell phone number."},"CellPhoneNumberCountry":{"type":"string","description":"Two-letter country code for the cell phone number."}}}}}}
```

## Update Company Information

> Updates the account by setting the values of the parameters passed. Any parameters not provided will be left unchanged.\
> \
> Note: The following parameters cannot be updated via API: Timezone, Currency, RegisteredForIndirectTax, IndirectTaxNumber. The following parameters can only be updated in the platform: Industry, FinancialContact, TechnicalContact, SecurityContact, CommercialContact.\
> \
> The corporate address fields (\`CorporateAddressLine1\`, \`CorporateAddressLine2\`, \`CorporateAddressCity\`, \`CorporateAddressPostalCode\`, \`CorporateAddressCountry\`) update the corporate address. The billing address fields (\`BillingAddressLine1\`, \`BillingAddressLine2\`, \`BillingAddressCity\`, \`BillingAddressPostalCode\`, \`BillingAddressCountry\`) update the billing address. These are returned as nested \`CorporateAddress\` and \`BillingAddress\` objects by the GET endpoint.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Account Information","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/CompanyInformation":{"put":{"summary":"Update Company Information","description":"Updates the account by setting the values of the parameters passed. Any parameters not provided will be left unchanged.\n\nNote: The following parameters cannot be updated via API: Timezone, Currency, RegisteredForIndirectTax, IndirectTaxNumber. The following parameters can only be updated in the platform: Industry, FinancialContact, TechnicalContact, SecurityContact, CommercialContact.\n\nThe corporate address fields (`CorporateAddressLine1`, `CorporateAddressLine2`, `CorporateAddressCity`, `CorporateAddressPostalCode`, `CorporateAddressCountry`) update the corporate address. The billing address fields (`BillingAddressLine1`, `BillingAddressLine2`, `BillingAddressCity`, `BillingAddressPostalCode`, `BillingAddressCountry`) update the billing address. These are returned as nested `CorporateAddress` and `BillingAddress` objects by the GET endpoint.","operationId":"updateCompanyInformation","tags":["Company Information"],"parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}}],"requestBody":{"description":"The fields to update.","content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/CompanyInformationUpdate"}}}},"responses":{"200":{"description":"The request was successful.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the update was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the updated resource."}}}}}}}}}},"components":{"schemas":{"CompanyInformationUpdate":{"type":"object","description":"Fields available for updating company information.","properties":{"CompanyName":{"type":"string","description":"The name used for the account."},"Website":{"type":"string","format":"uri","description":"The official company website URL."},"PrimaryPhoneNumber":{"type":"string","description":"The primary domestic contact number."},"PrimaryPhoneNumberCountry":{"type":"string","description":"Two-letter country code for the primary phone number (required if PrimaryPhoneNumber is provided)."},"SecondaryPhoneNumber":{"type":"string","description":"A secondary domestic contact phone number."},"SecondaryPhoneNumberCountry":{"type":"string","description":"Two-letter country code for the secondary phone number (required if SecondaryPhoneNumber is provided)."},"OrganizationType":{"$ref":"#/components/schemas/OrganizationType","description":"Organization type for the account. Available options will vary depending on the country that the business is registered in."},"EinSsnForeignTaxId":{"type":"string","description":"EIN, SSN, or foreign Tax ID."},"CorporateAddressLine1":{"type":"string","description":"Address line 1 for the corporate address."},"CorporateAddressLine2":{"type":"string","description":"Address line 2 for the corporate address."},"CorporateAddressCity":{"type":"string","description":"City for the corporate address."},"CorporateAddressPostalCode":{"type":"string","description":"Postal code for the corporate address."},"CorporateAddressCountry":{"type":"string","description":"Two-letter country code for the corporate address."},"BillingAddressLine1":{"type":"string","description":"Address line 1 for the billing address."},"BillingAddressLine2":{"type":"string","description":"Address line 2 for the billing address."},"BillingAddressCity":{"type":"string","description":"City for the billing address."},"BillingAddressPostalCode":{"type":"string","description":"Postal code for the billing address."},"BillingAddressCountry":{"type":"string","description":"Two-letter country code for the billing address."}}},"OrganizationType":{"type":"string","description":"Organization type for the account.","enum":["NONP_GOV","CORP","SOLE_IND","LLC_LLP_LLS","TRUST","SOLE_TRD","PARTNERS","LLC","LLP","COMPANY","GOVERNMENT","OTHER"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/reference/accounts/company-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
